<?PHP
/**
 * Start page of the backend.
 * Offers a dashboard.
 *
 * @author Joshua Ramon Enslin <joshua@jrenslin.de>
 */

/*
 * Require files and ensure environment.
 */

require_once __DIR__ . "/inc/functions.php";

ensureEnvironment();            // Ensure existence of system files.
$translations = loadLanguage(); // Load translations.
ensureBackendEnv();             // Ensure session is started etc.
$pages = loadPages();           // Load overview of pages.

/*
 * Load data.
 */

/*
 * Output
 */

echo printBackendHead($settings, $translations['pagesOverview'], $translations['pagesOverview'], $settings['logo']);
echo printBackendHeader($translations['pagesOverview'], $translations['helpPagesOverview']);

echo '
<div id="mainWrapper">
';

echo printBackendNav($translations);

echo '
    <main id="indentedList" class="noPadding">
';

echo buildPageOrder(
    $pages,
    function() {
        return "<ul>";
    },
    function() {
        return "</ul>";
    },
    function($inputs, $toAdd) {
        $output = "
        <li";
        if (!$inputs['public']) $output .= " class='notPublic'";
        $output .= ">
            <a href='page.php?id=" . $inputs['id'] . "'>" . $inputs['title'] . "</a>
            $toAdd
        </li>
        ";
        return $output;
    }
);

echo '
    </main>
</div>';

echo printBackendEnd();

?>
